Skip to main content
POST
/
v1
/
playbooks
/
create
CreatePlaybook
curl --request POST \
  --url https://app.textql.com/v1/playbooks/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "playbook": {
    "id": "<string>",
    "orgId": "<string>",
    "memberId": "<string>",
    "connectorId": 123,
    "name": "<string>",
    "prompt": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "status": "STATUS_UNKNOWN",
    "triggerType": "TRIGGER_TYPE_UNKNOWN",
    "cronString": "<string>",
    "datasetIds": [
      "<string>"
    ],
    "referenceReportId": "<string>",
    "latestChatId": "<string>",
    "emailAddresses": [
      "<string>"
    ],
    "slackChannelId": "<string>",
    "taggedSlackUserIds": [
      "<string>"
    ],
    "llmModel": "MODEL_UNKNOWN",
    "paradigmOptions": {
      "basic": {}
    },
    "paradigmType": "TYPE_UNKNOWN",
    "isRunning": true,
    "owner": {
      "memberId": "<string>",
      "memberEmail": "<string>",
      "memberName": "<string>",
      "memberPictureUrl": "<string>"
    },
    "hasWritePermission": true,
    "isSubscribed": true,
    "reportOutputStyle": "REPORT_STYLE_UNKNOWN",
    "templateHeaderId": "<string>",
    "selectedTemplateDataIds": [
      "<string>"
    ],
    "maxConcurrentTemplates": 123,
    "autoOptimizeConcurrency": true,
    "connectorIds": [
      123
    ]
  },
  "createdAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

The body is of type CreatePlaybookRequest · object.

Response

Success

playbook
playbook · object
createdAt
string<date-time>

RFC 3339 timestamp format (e.g., "2024-12-25T12:00:00Z")